* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Poppins", sans-serif;
}

body {
  display: flex;
  justify-content: center;
  align-items: center;
  min-height: 100vh;
  background-color: #f5f5f5;
}
.circle-btn {
  position: relative;
  width: 160px;
  height: 160px;
  display: flex;
  justify-content: center;
  align-items: center;
  text-decoration: none;
  color: #262626;
  font-size: 20px;
  font-weight: bold;
  letter-spacing: 2px;
  border-radius: 50%;
  overflow: visible;
  z-index: 1;
}

.btn-text {
  position: relative;
  z-index: 10;
  transition: color 0.2s ease;
}

.circle-svg {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  /* 12시 방향(Top)으로 영점 조절 */
  transform: rotate(-90deg);
  z-index: 2;
  pointer-events: none;
}

.circle-draw {
  fill: none;
  stroke: #262626;
  stroke-width: 4;
  stroke-dasharray: 490;
  stroke-dashoffset: -490;
  transition:
    opacity 0.4s ease,
    stroke-dashoffset 0s 0.4s;
  opacity: 0;
}

.circle-btn:hover .circle-draw {
  stroke-dashoffset: 0;
  opacity: 1;
  transition:
    opacity 0.1s,
    stroke-dashoffset 0.8s linear;
}

/* Pencil */
.pencil-default {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 5;
  pointer-events: none;
  transition: opacity 0.2s ease;
}

.circle-btn:hover .pencil-default {
  opacity: 0;
}

.pencil-wrapper {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 5;
  pointer-events: none;
  opacity: 0;
  transform: rotate(0deg);
  transition:
    opacity 0.4s ease,
    transform 0s 0.4s;
}

.circle-btn:hover .pencil-wrapper {
  opacity: 1;
  transform: rotate(-360deg);
  transition:
    opacity 0.1s,
    transform 0.8s linear;
}

.pencil-icon {
  position: absolute;
  top: -24px;
  left: 50%;
  font-size: 20px;
  color: #262626;
  transform: translateX(-50%) rotate(-22deg);
}

.pencil-anim {
  transition: color 0.2s ease;
}

.circle-bg {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: #262626;
  border-radius: 50%;
  z-index: 0;

  transform: scale(0);
  opacity: 0;
  transition:
    opacity 0.4s ease,
    transform 0s 0.4s;
}

.circle-btn:hover .circle-bg {
  transform: scale(1);
  opacity: 1;
  transition:
    transform 0.4s cubic-bezier(0.65, 0, 0.35, 1) 0.8s,
    opacity 0.1s 0.8s;
}

.circle-btn:hover .btn-text {
  color: #ffffff;
  transition-delay: 0.9s;
}

.circle-btn:hover .pencil-anim {
  color: transparent;
  transition-delay: 0.9s;
}
